Memory Stores
Get an update result
Retrieves the status and result of a memory store update operation.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Padparameters
name
string
vereist
The name of the memory store.
update_id
string
vereist
The ID of the memory update operation.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Antwoorden
The request has succeeded.
Hoofdtekst
update_id
string
vereist
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
vereist
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
vereist
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
vereist
Usage statistics of a memory store operation.
embedding_tokens
integer
vereist
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
vereist
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
vereist
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
vereist
The public continuation instruction.
Aanvraag
GET /memory_stores/{name}/updates/{update_id} HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json